<!DOCTYPE html>
<html xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout" xmlns:sd="http://www.thymeleaf.org/spring-data"
      xmlns:th="http://www.thymeleaf.org" xmlns:sec="http://www.thymeleaf.org/thymeleaf-extras-springsecurity5"
      layout:decorate="~{/layoute/layout}">
<head>
    <title>Jenis Iuran</title>
</head>

<body>

<div layout:fragment="content">
    <h1 class="h3 mb-3">Blank Page</h1>

    <div class="row">
        <div class="col-12">
            <div class="card">
                <div class="card-header">
                    <h5 class="card-title mb-0">Empty card</h5>
                </div>
                <div class="card-body">

                    <table class="table table-bordered table-striped">
                        <thead class="thead-dark">
                        <tr>
                            <th>No</th>
                            <th>Warga</th>
                            <th>Tanggal Iuran</th>
                            <th>Tanggal Bayar</th>
                            <th>Nominal</th>
                            <th>status</th>
                        </tr>
                        </thead>

                        <tbody>
                        <tr th:each="ip,iterator : ${listTransaksi}">
                            <td th:text="${iterator.index+1}"></td>
                            <td th:text="${ip.user.userName}"/>
                            <td th:text="${ip.tanggalIuran}"/>
                            <td th:text="${ip.tanggalBayar}"/>
                            <td class="text-center">
                                <b th:text="${#aggregates.sum(ip.iuranPerbulan.jenisIurans.![nominal])}"/>
                            </td>
                            <td class="text-center">
                                <span th:if="${ip.active}" class="badge bg-success">Sudah Bayar</span>

                                <span th:unless="${ip.active}" class="badge bg-danger">Belum Bayar</span>
                            </td>
                        </tr>
                        </tbody>
                    </table>
                </div>
            </div>
        </div>
    </div>
</div>

</body>
</html>









